apiVersion: org.eclipse.che/v1
kind: CheCluster
metadata:
  creationTimestamp: '2022-06-01T22:12:53Z'
  generation: 1
  managedFields:
    - apiVersion: org.eclipse.che/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:spec':
          .: {}
          'f:auth':
            'f:identityProviderAdminUserName': {}
            'f:identityProviderClientId': {}
            'f:identityProviderURL': {}
            'f:identityProviderRealm': {}
            .: {}
            'f:externalIdentityProvider': {}
            'f:oAuthSecret': {}
            'f:oAuthClientName': {}
            'f:initialOpenShiftOAuthUser': {}
            'f:identityProviderPassword': {}
          'f:database':
            .: {}
            'f:chePostgresDb': {}
            'f:chePostgresHostName': {}
            'f:chePostgresPassword': {}
            'f:chePostgresPort': {}
            'f:chePostgresUser': {}
            'f:externalDb': {}
          'f:metrics':
            .: {}
            'f:enable': {}
          'f:server':
            'f:allowUserDefinedWorkspaceNamespaces': {}
            'f:proxyUser': {}
            'f:serverTrustStoreConfigMapName': {}
            'f:workspaceNamespaceDefault': {}
            'f:cheWorkspaceClusterRole': {}
            'f:tlsSupport': {}
            'f:cheFlavor': {}
            'f:gitSelfSignedCert': {}
            .: {}
            'f:customCheProperties':
              .: {}
              'f:CHE_INFRA_KUBERNETES_WORKSPACE_START_TIMEOUT_MIN': {}
              'f:CHE_INFRA_KUBERNETES_WORKSPACE__UNRECOVERABLE__EVENTS': {}
              'f:CHE_LIMITS_USER_WORKSPACES_RUN_COUNT': {}
              'f:CHE_LIMITS_WORKSPACE_IDLE_TIMEOUT': {}
            'f:cheClusterRoles': {}
            'f:serverExposureStrategy': {}
            'f:proxyURL': {}
            'f:proxyPassword': {}
            'f:nonProxyHosts': {}
            'f:proxyPort': {}
          'f:storage':
            .: {}
            'f:postgresPVCStorageClassName': {}
            'f:preCreateSubPaths': {}
            'f:pvcClaimSize': {}
            'f:pvcStrategy': {}
            'f:workspacePVCStorageClassName': {}
      manager: Mozilla
      operation: Update
      time: '2022-06-01T22:12:53Z'
    - apiVersion: org.eclipse.che/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          'f:openShiftoAuthProvisioned': {}
          'f:dbProvisioned': {}
          'f:cheURL': {}
          'f:devworkspaceStatus':
            .: {}
            'f:message': {}
            'f:phase': {}
          'f:keycloakURL': {}
          'f:pluginRegistryURL': {}
          'f:cheVersion': {}
          .: {}
          'f:keycloakProvisioned': {}
          'f:cheClusterRunning': {}
          'f:gitHubOAuthProvisioned': {}
          'f:devfileRegistryURL': {}
      manager: manager
      operation: Update
      subresource: status
      time: '2022-06-01T22:12:53Z'
  name: codeready-workspaces
  namespace: openshift-workspaces
  resourceVersion: '4762697'
  uid: e5d8128a-1a72-475c-a825-cca1fced3d43
spec:
  auth:
    identityProviderURL: ''
    identityProviderRealm: ''
    oAuthSecret: ''
    identityProviderPassword: ''
    oAuthClientName: ''
    initialOpenShiftOAuthUser: true
    identityProviderClientId: ''
    identityProviderAdminUserName: ''
    externalIdentityProvider: false
  database:
    chePostgresDb: ''
    chePostgresHostName: ''
    chePostgresPassword: ''
    chePostgresPort: ''
    chePostgresUser: ''
    externalDb: false
  metrics:
    enable: true
  server:
    proxyURL: ''
    customCheProperties:
      CHE_INFRA_KUBERNETES_WORKSPACE_START_TIMEOUT_MIN: '10'
      CHE_INFRA_KUBERNETES_WORKSPACE__UNRECOVERABLE__EVENTS: 'Failed Scheduling,Failed to pull image'
      CHE_LIMITS_USER_WORKSPACES_RUN_COUNT: '-1'
      CHE_LIMITS_WORKSPACE_IDLE_TIMEOUT: '900000'
    cheClusterRoles: ''
    proxyPassword: ''
    nonProxyHosts: ''
    proxyPort: ''
    tlsSupport: true
    allowUserDefinedWorkspaceNamespaces: false
    serverTrustStoreConfigMapName: ''
    proxyUser: ''
    cheWorkspaceClusterRole: ''
    workspaceNamespaceDefault: <username>-codeready
    serverExposureStrategy: ''
    gitSelfSignedCert: false
    cheFlavor: codeready
  storage:
    postgresPVCStorageClassName: ''
    preCreateSubPaths: true
    pvcClaimSize: 10Gi
    pvcStrategy: common
    workspacePVCStorageClassName: ''
status:
  gitHubOAuthProvisioned: false
  devfileRegistryURL: ''
  keycloakProvisioned: false
  cheClusterRunning: ''
  cheURL: ''
  devworkspaceStatus:
    message: DevWorkspace CRDs are not installed
    phase: Inactive
  openShiftoAuthProvisioned: false
  dbProvisioned: false
  cheVersion: ''
  keycloakURL: ''
  pluginRegistryURL: ''
